<template>
    <section class="portfolio-header static md:sticky top-0 w-full flex items-center justify-center px-12 pt-12 bg-black overflow-hidden z-40">
        <div class="portfolio-header__container flex flex-col justify-center w-full">

            <!-- Menu -->
            <div class="portfolio-header__container--menu flex flex-col gap-y-5 md:flex-row items-center justify-center gap-x-16 w-full pb-12">
                <div class="flex flex-col items-center">
                    <button @click="parent.setTypePortfolio('site-internet')"  class="py-3 px-6">Site internet</button>
                </div>
                <div class="flex flex-col items-center">
                    <button @click="parent.setTypePortfolio('application')" class="py-3 px-6">Application</button>
                </div>
            </div>

        </div>
    </section>
</template>

<script>

export default {

    // Nom du composant
    name: 'PortfolioHeader',

    // Données en paramètres du composant
    props: {
        title: { type: String, default: () => { } }
    },

    // Données du composant
    data() {
        return {
            parent: this.$parent
        }
    },

    // Script à éxécuter au chargement du composant
    mounted() {
        // mounted
    },

    // Méthodes du composant
    methods: {
        // methods
    }
}

</script>

<style lang="scss">

    .portfolio-header {
        &__container {
            &--menu {
                > div {
                    > button {
                        @apply text-xl uppercase border border-white transition-all;

                        &:hover {
                            @apply bg-white text-black;
                        }

                        @screen md {
                            @apply text-xl;
                        }

                        @screen lg {
                            @apply text-2xl;
                        }
                    }
                }
            }
            &--title {
                h1, div > span {
                    // Bordure de texte
                    -webkit-text-stroke: 1px white;
                }
            }
        }
    }

</style>
